Bug 320171

Summary: PyQt4-4.3.x
Product: [Fedora] Fedora Reporter: Rex Dieter <rdieter>
Component: PyQt4Assignee: Rex Dieter <rdieter>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: alexl, pza, than
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://www.riverbankcomputing.com/pipermail/pyqt/2007-October/017348.html
Whiteboard:
Fixed In Version: 4.3.1-1.fc7 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-11-20 13:06:10 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 320161    
Bug Blocks: 382101    

Description Rex Dieter 2007-10-05 10:10:56 EDT
Folks asking for PyQt4-4.3.x
http://www.riverbankcomputing.com/pipermail/pyqt/2007-October/017348.html

but that requires sip-4.7.1
Comment 1 Phil Anderson 2007-11-10 20:16:24 EST
PyQt 4.3 is needed to run the lastest version of picard (www.musicbrainz.org).
Comment 2 Rex Dieter 2007-11-10 20:50:56 EST
I've been working on it, slowly, but surely.  It doesn't build without patching,
and I'm trying to determine exactly why.
Comment 3 Alex Lancaster 2007-11-14 05:29:00 EST
Looks like it's built, but hasn't yet been pushed to testing:

https://admin.fedoraproject.org/updates/F7/pending/PyQt4-4.3.1-1.fc7,PyQt-3.17.3-3.fc7,sip-4.7.1-2.fc7

(In reply to comment #1)
> PyQt 4.3 is needed to run the lastest version of picard (www.musicbrainz.org).

Yes, I'm actually trying to package picard right now and I ran into this bug: 

http://forums.musicbrainz.org/viewtopic.php?pid=2992

that means that the latest picard version needs this.


Comment 4 Fedora Update System 2007-11-14 22:38:41 EST
sip-4.7.1-2.fc8, PyQt4-4.3.1-1.fc8, PyQt-3.17.3-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sip PyQt4 PyQt'
Comment 5 Fedora Update System 2007-11-14 22:39:46 EST
PyQt4-4.3.1-1.fc7, PyQt-3.17.3-3.fc7, sip-4.7.1-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update PyQt4 PyQt sip'
Comment 6 Fedora Update System 2007-11-20 13:06:08 EST
PyQt4-4.3.1-1.fc7, PyQt-3.17.3-3.fc7, sip-4.7.1-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2007-11-20 13:11:02 EST
sip-4.7.1-2.fc8, PyQt4-4.3.1-1.fc8, PyQt-3.17.3-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.